Kerbal Space Program - Bug #21234

Loading Times increase substantially for KSP saves with high numbers of objects after using the
Tracking Station.

02/10/2019 04:00 AM - Anth12

Status: Closed Start date: 02/10/2019
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.8.0

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.4.5

KSP 1.5.1

KSP 1.6.1

KSP 1.7.3

0S: Windows 10 (10.0.0) 64bit
CPU: Intel(R) Core(TM) i7-4770K CPU @ 3.50GHz (8)
RAM: 24512

GPU: NVIDIA GeForce GTX 1080 (8079MB)

Issue: As a KSP save gets more and more objects using the tracking station will cause a higher and higher load times that are
dependent on how many objects are currently in KSP

How to replicate:

Using KSP 1.5.1 or 1.6.1 with the 1.4.5 persistent save that has 200 objects (most are debris)

1. Resume from Main Menu

2. Enter The Tracking Station

3. Exit the Tracking Station

4. Load the rover that is at the space center

It takes 30 seconds to load on my computer with 1.6.1
It takes 29 seconds to load on my computer with 1.5.1
It takes 7 seconds to load on my computer with 1.4.5

Other ways to test this:

1. Load from the Tracking station to any object.

2. Quick save when in "flight'. restart KSP. From KSC screen load the quick save.

Then restart KSP. Then enter the Tracking Station and Exit back to Space Center. Load the quick save. The save will be long again.

KSP 1.6.1 Tracking Station.log is attached. Note following for a long delay between time stamps:
[LOG 16:19:19.958] [Rover]: landed - waiting for ground contact to resume physics...

[LOG 16:19:19.971] Camera Mode: AUTO

[LOG 16:19:22.420] all systems started

[LOG 16:19:43.666] [UiApp] Awake: CurrencyWidgetsApp

KSP 1.4.5 Tracking Station.log is attached. Note following for what | consider acceptable:
[LOG 16:34:30.786] [Rover]: landed - waiting for ground contact to resume physics...
[LOG 16:34:30.797] Camera Mode: AUTO

[LOG 16:34:33.192] all systems started

[LOG 16:34:34.343] [UiApp] Awake: CurrencyWidgetsApp

Work Around:

Load the rover that is at the space center and then use the map to change crafts (avoid the tracking station at all costs)
To change to the rover on the KSC screen

This takes 11 seconds with 1.6.1

This takes 11 seconds with 1.5.1

This takes 6 seconds with 1.4.5
11 seconds could be an indicator of another issue but at least it isnt 30 seconds.
Note 1: This bug report is specifically about the tracking station causing long load times to 'flight' or loading a scene.

Note 2: That the default setting for KSP and debris is 250 maximum with the option of increasing to 10000. Thats 250 objects. The
more objects the longer the load time becomes on what seems similar to an exponential climb

History

#1 - 02/10/2019 04:20 AM - Anth12
- File 200 Object Dispenser.craft added

- Subject changed from Loading Times increase for KSP saves with high numbers of objects after using the Tracking Station. to Loading Times
increase substantially for KSP saves with high numbers of objects after using the Tracking Station.

This craft will make for easy addition of objects for testing

#3 - 02/19/2019 05:18 AM - Anth12

- File 1.4.5 Log Files.zip added

- File 1.5.1 Log Files.zip added

- File 1.6.1 Log Files.zip added

- File Time Taken 0-500 Objects.xls added

- File Spreadsheet Tracking Station Testing.png added

- File Object Testing Save Folder.zip added

Further testing has shown the following:

1. The icons menu (up the top) in the Tracking Station being on or off changes loading times (ie turning off and on ships/flags/debris etc)
2. The more objects in the Tracking Station definitely is on a type of exponential curve

3. Loading is longer on 1.5.1 and 1.6.1 even with the a save with only 1 Object

The spreadsheet attached is copied and pasted from the logfiles attached to show the big differences in load times from the tracking station
via the graphs.

Log files have the following:

KSP -0 Rovers in Space.log means the tracking station icons are off

KSP 0 Rovers in Space.log means the tracking station icons are on

Note | used the rover on the KSC screen for all loading and consider only the probes in orbit to be actual numbers for testing.
Hope this makes some sort of sense

#4 - 08/30/2019 02:19 AM - The_8_Bit_Zombie

- Status changed from New to Confirmed

- % Done changed from 0 to 10

I can confirm that this bug exists and is still present in KSP v1.7.3. | created a new stock save and followed the steps that Anth12 gave to replicate:

Loading time, O crafts: 5.5 seconds
Loading time, 200 crafts: 27.5 seconds
Loading time, 400 crafts: 42.8 seconds

One thing | should mention is that in my experience having Tracking Station Icons turned off doesn't help at all. However | haven't scientifically tested
loading times with and without icons so take that with a grain of salt.

Hoping that this will be fixed. Playing KSP on a single save becomes so time consuming because of this bug.

#5 - 08/30/2019 02:20 AM - The_8_Bit_Zombie

- Description updated

#6 - 10/17/2019 09:17 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.8.0

- % Done changed from 10 to 80
We've made some changes in the latest version and would like some feedback on this issue. Thanks.

#7 - 10/18/2019 12:04 AM - Anth12

Note that the testing was based on objects. not on the size of the craft.
The loading times have significantly improved, to the level | would consider this problem resolved.

You want feedback so | will let you decide if its ready to be set to resolved.

#8 - 10/18/2019 05:24 PM - victorr
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Thank you for the feedback. We're happy of the result.

#9 - 10/18/2019 08:45 PM - Anth12
Good :)

#10 - 10/22/2019 04:04 PM - chris.fulton

- Status changed from Resolved to Closed

Files

persistent.sfs 1.32 MB 02/10/2019 Anth12
KSP 1.6.1 Tracking Station.log 281 KB 02/10/2019 Anth12
KSP 1.4.5 Tracking Station.log 270 KB 02/10/2019 Anth12
200 Object Dispenser.craft 322 KB 02/10/2019 Anth12
1.4.5 Log Files.zip 929 KB 02/19/2019 Anth12
1.5.1 Log Files.zip 912 KB 02/19/2019 Anth12
1.6.1 Log Files.zip 932 KB 02/19/2019 Anth12
Time Taken 0-500 Objects.xls 18.5 KB 02/19/2019 Anth12
Spreadsheet Tracking Station Testing.png 97 KB 02/19/2019 Anth12
Object Testing Save Folder.zip 4.76 MB 02/19/2019 Anth12
